Package org.apache.lucene.spatial3d.geom

## Interface XYZSolid

- All Superinterfaces:
    `GeoArea`, `Membership`, `PlanetObject`, `SerializableObject`

      public interface XYZSolid
      extends GeoArea, PlanetObject

  Interface for a family of 3D rectangles, bounded on six sides by X,Y,Z limits
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

      `CONTAINS, DISJOINT, OVERLAPS, WITHIN`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

      `getRelationship`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

      `isWithin, isWithin`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

      `getPlanetModel`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

      `write`